sunflowersunflower MemberComments: 226 Received thanks: 8 Member since: September 2012

Hallo zusammen,

ich möchte einen Shop von 5.3.7 auf 5.5 updaten. Nach dem Test-Update erhalte ich den Fehler:

Class 'Shopware\Models\Customer\Billing' does not exist in vendor/doctrine/common/lib/Doctrine/Common/Persistence/Mapping/MappingException.php on line 96

Nach entfernen des Advanced Prom Plugins ist der Fehler weg. Unter 5.3.7 kann ich dieses Plugin max. in Version 2.0.3 nutzen, was bei uns auch der Fall ist.
image

Kann ich da einfach die Version 2.3.0 runterladen und im Dateisystem der aktualisierten Shopware-Version 5.5 "drüberkopieren"?

Da es viel im Einsatz ist möchte ich das Plugin nicht deinstallieren und nach dem Update wieder neu einspielen.
Dann wären ja alle aktuellen Daten verloren oder?

Grüße
sunflower

Answers

  • Moritz NaczenskiMoritz Naczenski AdministratorsComments: 7551 Received thanks: 2226 Member since: September 2013

    Sollte ausreichen, wenn du das Plugin vor dem Update deaktivierst. Dann Shopware updatest und dann das Plugin updatest und wieder aktivierst.

  • sunflowersunflower MemberComments: 226 Received thanks: 8 edited July 12 Member since: September 2012

    Danke für die Info. Ich habs gestern "drüberkopiert", dann ließ sich das Backend starten. Danach "lokales Update" im Plugin-Manager und nun sieht es auf den ersten Blick ok aus.

    Ich dachte immer das sich das Auto-Update im Backend auch an deaktivierten Plugins stört.

    Scheint beim Update von 5.3 auf 5.5 besser zu laufen, als das Update von 5.3 nach 5.4. Wink

Sign In or Register to comment.